> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List NFTs

> List NFTs by wallet or by collection address

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /nfts
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /nfts:
    get:
      tags:
        - Nfts
      summary: List NFTs
      description: List NFTs by wallet or by collection address
      operationId: nfts_list-nfts
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
        - name: wallet_address
          in: query
          description: >-
            query by wallet address. If provided, contract_address should not be
            set.
          required: false
          schema:
            type: string
            nullable: true
        - name: contract_address
          in: query
          description: >-
            query by collection address. If provided, wallet_address should not
            be set.
          required: false
          schema:
            type: string
            nullable: true
        - name: page
          in: query
          description: page number, starting from 1
          required: false
          schema:
            type: integer
            nullable: true
        - name: page_size
          in: query
          description: size of each page
          required: false
          schema:
            type: integer
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Nft'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    Nft:
      title: Nft
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/NftMetadata'
          nullable: true
        owner_wallet_address:
          type: string
        contract_address:
          type: string
        token_id:
          type: string
      required:
        - owner_wallet_address
        - contract_address
        - token_id
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
    NftMetadata:
      title: NftMetadata
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        image:
          type: string
      required:
        - name
        - description
        - image
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````